cdac.medinfo.sdk.hl7282.baselibs.segments

## Class IPC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.IPC

- All Implemented Interfaces:
    ISegment

      public class IPC
      extends Segment

  IPC - Imaging Procedure Control Segment.

  The IPC segment contains information about tasks that need to be performed in order to fulfill the request for imaging service. The information includes location, type and instance identification of equipment (acquisition modality) and stages (procedure steps).

  Represents an HL7 IPC message segment. This segment has the following fields:

  IPC-1: Accession Identifier (EI)Required
  IPC-2: Requested Procedure ID (EI)Required
  IPC-3: Study Instance UID (EI)Required
  IPC-4: Scheduled Procedure Step ID (EI)Required
  IPC-5: Modality (CWE)Optional
  IPC-6: Protocol Code (CWE)Optional
  IPC-7: Scheduled Station Name (EI)Optional
  IPC-8: Scheduled Procedure Step Location (CWE)Optional
  IPC-9: Scheduled AE Title (ST)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPC()` Constructs the IPC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProtocolCode(CWE objprotocolCode)` Add the Protocol Code.
    `void` | `addProtocolCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Protocol Code.
    `void` | `addScheduledProcedureStepLocation(CWE objscheduledProcedureStepLocation)` Add the Scheduled Procedure Step Location.
    `void` | `addScheduledProcedureStepLocation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Scheduled Procedure Step Location.
    `EI` | `getAccessionIdentifier()` Retrieves the Accession Identifier.
    `CWE` | `getModality()` Retrieves the Modality.
    `ISingleCollection<CWE>` | `getProtocolCode()` Retrieves the Protocol Code.
    `EI` | `getRequestedProcedureID()` Retrieves the Requested Procedure ID.
    `EI` | `getScheduledProcedureStepID()` Retrieves the Scheduled Procedure Step ID.
    `ISingleCollection<CWE>` | `getScheduledProcedureStepLocation()` Retrieves the Scheduled Procedure Step Location.
    `ST` | `getScheduledStationAETitle()` Retrieves the Scheduled Station AE Title.
    `EI` | `getScheduledStationName()` Retrieves the Scheduled Station Name.
    `EI` | `getStudyInstanceUID()` Retrieves the Study Instance UID.
    `void` | `setAccessionIdentifier(EI objaccessionIdentifier)` Set the Accession Identifier.
    `void` | `setAccessionIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Accession Identifier.
    `void` | `setModality(CWE objmodality)` Set the Modality.
    `void` | `setModality(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Modality.
    `void` | `setProtocolCode(ISingleCollection<CWE> objprotocolCodeList)` Set the Protocol Code.
    `void` | `setRequestedProcedureID(EI objrequestedProcedureID)` Set the Requested Procedure ID.
    `void` | `setRequestedProcedureID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Requested Procedure ID.
    `void` | `setScheduledProcedureStepID(EI objscheduledProcedureStepID)` Set the Scheduled Procedure Step ID.
    `void` | `setScheduledProcedureStepID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Scheduled Procedure Step ID.
    `void` | `setScheduledProcedureStepLocation(ISingleCollection<CWE> objscheduledProcedureStepLocationList)` Set the Scheduled Procedure Step Location.
    `void` | `setScheduledStationAETitle(ST objscheduledAETitle)` Set the Scheduled Station AE Title.
    `void` | `setScheduledStationAETitle(java.lang.String strScheduledStationAETitle)` Set the Scheduled Station AE Title.
    `void` | `setScheduledStationName(EI objscheduledStationName)` Set the Scheduled Station Name.
    `void` | `setScheduledStationName(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Scheduled Station Name.
    `void` | `setStudyInstanceUID(EI objstudyInstanceUID)` Set the Study Instance UID.
    `void` | `setStudyInstanceUID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Study Instance UID.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IPC

          public IPC()

      Constructs the IPC segment.

  - ### Method Detail

    - #### getAccessionIdentifier

          public EI getAccessionIdentifier()

      Retrieves the Accession Identifier. This field identify the Filler Order for an Imaging Service (Imaging Service Request).
      Returns:
        EI - accessionIdentifier

    - #### getModality

          public CWE getModality()

      Retrieves the Modality. This type of equipment requested to acquire data during performance of a Procedure Step.
      Returns:
        CWE - modality

    - #### getProtocolCode

          public ISingleCollection<CWE> getProtocolCode()

      Retrieves the Protocol Code. This field specify the One or more coded entries identifying the protocol according to which the Scheduled Procedure Step shall be performed.
      Returns:
        ISingleCollection - protocolCode

    - #### getRequestedProcedureID

          public EI getRequestedProcedureID()

      Retrieves the Requested Procedure ID. This field identify the Requested Procedure that the workflow management IDIS selected to perform as a part of the order for the imaging service.
      Returns:
        EI - requestedProcedureID

    - #### getScheduledStationAETitle

          public ST getScheduledStationAETitle()

      Retrieves the Scheduled Station AE Title. This field contains the Application Entity Title of the modality resource being requested for performance of a particular Scheduled Procedure Step.
      Returns:
        ST - scheduledAETitle

    - #### getScheduledProcedureStepID

          public EI getScheduledProcedureStepID()

      Retrieves the Scheduled Procedure Step ID. This field identifies particular Procedure Step (sub-procedure) of the Requested Procedure that the workflow management IDIS selected to perform as a part of the order for imaging service.
      Returns:
        EI - scheduledProcedureStepID

    - #### getScheduledProcedureStepLocation

          public ISingleCollection<CWE> getScheduledProcedureStepLocation()

      Retrieves the Scheduled Procedure Step Location. This field specify a locally defined physical location of the modality resource being requested for performance of particular Scheduled Procedure Step.
      Returns:
        ISingleCollection - scheduledProcedureStepLocation

    - #### getScheduledStationName

          public EI getScheduledStationName()

      Retrieves the Scheduled Station Name. This field identify the instance of the modality resource being requested for the performance of a particular Scheduled Procedure Step.
      Returns:
        EI - scheduledStationName

    - #### getStudyInstanceUID

          public EI getStudyInstanceUID()

      Retrieves the Study Instance UID. This field specify Globally unique identifier assigned by the workflow management IDIS to the Imaging Study under which all images and other DICOM objects produced in the course of the Requested Procedure shall be collected.
      Returns:
        EI - studyInstanceUID

    - #### setAccessionIdentifier

          public void setAccessionIdentifier(java.lang.String strEntityIdentifier,
                                    java.lang.String strNamespaceId,
                                    java.lang.String strUniversalId,
                                    java.lang.String strUniversalIdType)

      Set the Accession Identifier. This field identify the Filler Order for an Imaging Service (Imaging Service Request).
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setAccessionIdentifier

          public void setAccessionIdentifier(EI objaccessionIdentifier)

      Set the Accession Identifier. This field identify the Filler Order for an Imaging Service (Imaging Service Request).
      Parameters:
        `objaccessionIdentifier` - Object of Accession Identifier.

    - #### setModality

          public void setModality(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Modality. This type of equipment requested to acquire data during performance of a Procedure Step.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setModality

          public void setModality(CWE objmodality)

      Set the Modality. This type of equipment requested to acquire data during performance of a Procedure Step.
      Parameters:
        `objmodality` - Object of Modality.

    - #### addProtocolCode

          public void addProtocolCode(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Add the Protocol Code. This field specify the One or more coded entries identifying the protocol according to which the Scheduled Procedure Step shall be performed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProtocolCode

          public void addProtocolCode(CWE objprotocolCode)

      Add the Protocol Code. This field specify the One or more coded entries identifying the protocol according to which the Scheduled Procedure Step shall be performed.
      Parameters:
        `objprotocolCode` - Object of Protocol Code.

    - #### setProtocolCode

          public void setProtocolCode(ISingleCollection<CWE> objprotocolCodeList)

      Set the Protocol Code. This field specify the One or more coded entries identifying the protocol according to which the Scheduled Procedure Step shall be performed.
      Parameters:
        `objprotocolCodeList` - List of Protocol Code.

    - #### setRequestedProcedureID

          public void setRequestedProcedureID(java.lang.String strEntityIdentifier,
                                     java.lang.String strNamespaceId,
                                     java.lang.String strUniversalId,
                                     java.lang.String strUniversalIdType)

      Set the Requested Procedure ID. This field identify the Requested Procedure that the workflow management IDIS selected to perform as a part of the order for the imaging service.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setRequestedProcedureID

          public void setRequestedProcedureID(EI objrequestedProcedureID)

      Set the Requested Procedure ID. This field identify the Requested Procedure that the workflow management IDIS selected to perform as a part of the order for the imaging service.
      Parameters:
        `objrequestedProcedureID` - Object of Requested Procedure ID.

    - #### setScheduledStationAETitle

          public void setScheduledStationAETitle(java.lang.String strScheduledStationAETitle)

      Set the Scheduled Station AE Title. This field contains the Application Entity Title of the modality resource being requested for performance of a particular Scheduled Procedure Step.
      Parameters:
        `strScheduledStationAETitle` - .Contains value to be passed as Scheduled AE Title

    - #### setScheduledStationAETitle

          public void setScheduledStationAETitle(ST objscheduledAETitle)

      Set the Scheduled Station AE Title. This field contains the Application Entity Title of the modality resource being requested for performance of a particular Scheduled Procedure Step.
      Parameters:
        `objscheduledAETitle` - Object of Scheduled Station AE Title.

    - #### setScheduledProcedureStepID

          public void setScheduledProcedureStepID(java.lang.String strEntityIdentifier,
                                         java.lang.String strNamespaceId,
                                         java.lang.String strUniversalId,
                                         java.lang.String strUniversalIdType)

      Set the Scheduled Procedure Step ID. This field identifies particular Procedure Step (sub-procedure) of the Requested Procedure that the workflow management IDIS selected to perform as a part of the order for imaging service.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setScheduledProcedureStepID

          public void setScheduledProcedureStepID(EI objscheduledProcedureStepID)

      Set the Scheduled Procedure Step ID. This field identifies particular Procedure Step (sub-procedure) of the Requested Procedure that the workflow management IDIS selected to perform as a part of the order for imaging service.
      Parameters:
        `objscheduledProcedureStepID` - Object of Scheduled Procedure Step ID.

    - #### addScheduledProcedureStepLocation

          public void addScheduledProcedureStepLocation(java.lang.String strIdentifier,
                                               java.lang.String strText,
                                               java.lang.String strNameOfCodingSystem,
                                               java.lang.String strAlternateIdentifier,
                                               java.lang.String strAlternateText,
                                               java.lang.String strNameOfAlternateCodingSystem,
                                               java.lang.String strCodingSystemVersionID,
                                               java.lang.String strAlternateCodingSystemVersionId,
                                               java.lang.String strOriginalText,
                                               java.lang.String strSecondAlternateIdentifier,
                                               java.lang.String strSecondAlternateText,
                                               java.lang.String strNameofSecondAlternateCodingSystem,
                                               java.lang.String strSecondAlternateCodingSystemVersionID,
                                               java.lang.String strCodingSystemOID,
                                               java.lang.String strValueSetOID,
                                               java.lang.String strValueSetVersionID,
                                               java.lang.String strAlternateCodingSystemOID,
                                               java.lang.String strAlternateValueSetOID,
                                               java.lang.String strAlternateValueSetVersionID,
                                               java.lang.String strSecondAlternateCodingSystemOID,
                                               java.lang.String strSecondAlternateValueSetOID,
                                               java.lang.String strSecondAlternateValueSetVersionID)

      Add the Scheduled Procedure Step Location. This field specify a locally defined physical location of the modality resource being requested for performance of particular Scheduled Procedure Step.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addScheduledProcedureStepLocation

          public void addScheduledProcedureStepLocation(CWE objscheduledProcedureStepLocation)

      Add the Scheduled Procedure Step Location. This field specify a locally defined physical location of the modality resource being requested for performance of particular Scheduled Procedure Step.
      Parameters:
        `objscheduledProcedureStepLocation` - Object of Scheduled Procedure Step Location.

    - #### setScheduledProcedureStepLocation

          public void setScheduledProcedureStepLocation(ISingleCollection<CWE> objscheduledProcedureStepLocationList)

      Set the Scheduled Procedure Step Location. This field specify a locally defined physical location of the modality resource being requested for performance of particular Scheduled Procedure Step.
      Parameters:
        `objscheduledProcedureStepLocationList` - List of Scheduled Procedure Step Location.

    - #### setScheduledStationName

          public void setScheduledStationName(java.lang.String strEntityIdentifier,
                                     java.lang.String strNamespaceId,
                                     java.lang.String strUniversalId,
                                     java.lang.String strUniversalIdType)

      Set the Scheduled Station Name. This field identify the instance of the modality resource being requested for the performance of a particular Scheduled Procedure Step.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setScheduledStationName

          public void setScheduledStationName(EI objscheduledStationName)

      Set the Scheduled Station Name. This field identify the instance of the modality resource being requested for the performance of a particular Scheduled Procedure Step.
      Parameters:
        `objscheduledStationName` - Object of Scheduled Station Name.

    - #### setStudyInstanceUID

          public void setStudyInstanceUID(java.lang.String strEntityIdentifier,
                                 java.lang.String strNamespaceId,
                                 java.lang.String strUniversalId,
                                 java.lang.String strUniversalIdType)

      Set the Study Instance UID. This field specify Globally unique identifier assigned by the workflow management IDIS to the Imaging Study under which all images and other DICOM objects produced in the course of the Requested Procedure shall be collected.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setStudyInstanceUID

          public void setStudyInstanceUID(EI objstudyInstanceUID)

      Set the Study Instance UID. This field specify Globally unique identifier assigned by the workflow management IDIS to the Imaging Study under which all images and other DICOM objects produced in the course of the Requested Procedure shall be collected.
      Parameters:
        `objstudyInstanceUID` - Object of Study Instance UID.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails